<div fxLayout="row wrap">
  <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
    <mat-card>
      <mat-card-content>
        <mat-card-title>Liste Des Patients </mat-card-title>

        <!--<div class="bg-light p-10 p-r-20 p-l-20">
          <mat-form-field>
            <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Search (Filter)">
          </mat-form-field>
        </div>-->

        <div class="responsive-table">
          <h4>Utilisateur DM1</h4>
          <table mat-table [dataSource]="dataSourceDM1" class="mat-elevation-z8">
            <!-- LastName Column -->
            <ng-container matColumnDef="lastName">
              <th mat-header-cell *matHeaderCellDef> Nom </th>
              <td mat-cell *matCellDef="let patient"> {{patient.lastName}} </td>
            </ng-container>

            <!-- FirstName Column -->
            <ng-container matColumnDef="firstName">
              <th mat-header-cell *matHeaderCellDef> Prenom </th>
              <td mat-cell *matCellDef="let patient"> {{patient.firstName}} </td>
            </ng-container>

            <ng-container matColumnDef="action">
              <th mat-header-cell *matHeaderCellDef></th>
              <td mat-cell *matCellDef="let patient">
                <button mat-stroked-button color="accent" routerLink="/tables/sticky-column-table/{{patient.id}}">voir les données</button>
                <button mat-stroked-button color="accent" routerLink="/forms/edit-patient/{{patient.id}}" style="margin-left: 30px;">changer de patient</button>

              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
          </table>


          <!------------------------table DM2-------------------------------------------------->
          <h4>Utilisateur DM2</h4>
          <table mat-table [dataSource]="dataSourceDM2" class="mat-elevation-z8">
            <!-- LastName Column -->
            <ng-container matColumnDef="lastName">
              <th mat-header-cell *matHeaderCellDef> Nom </th>
              <td mat-cell *matCellDef="let patient"> {{patient.lastName}} </td>
            </ng-container>

            <!-- FirstName Column -->
            <ng-container matColumnDef="firstName">
              <th mat-header-cell *matHeaderCellDef> Prenom </th>
              <td mat-cell *matCellDef="let patient"> {{patient.firstName}} </td>
            </ng-container>

            <ng-container matColumnDef="action">
              <th mat-header-cell *matHeaderCellDef></th>
              <td mat-cell *matCellDef="let patient">
                <button mat-stroked-button color="accent" routerLink="/tables/sticky-footer-table/{{patient.id}}">voir les données</button>
                <button mat-stroked-button color="accent" routerLink="/forms/edit-patient-DM2/{{patient.id}}" style="margin-left: 30px;">changer de patient</button>
              </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
          </table>


          <!------------------------table DM3-------------------------------------------------->
          <h4>Utilisateur DM3</h4>
          <table mat-table [dataSource]="dataSourceDM3" class="mat-elevation-z8">
            <!-- LastName Column -->
            <ng-container matColumnDef="lastName">
              <th mat-header-cell *matHeaderCellDef> Nom </th>
              <td mat-cell *matCellDef="let patient"> {{patient.lastName}} </td>
            </ng-container>

            <!-- FirstName Column -->
            <ng-container matColumnDef="firstName">
              <th mat-header-cell *matHeaderCellDef> Prenom </th>
              <td mat-cell *matCellDef="let patient"> {{patient.firstName}} </td>
            </ng-container>

            <ng-container matColumnDef="action">
              <th mat-header-cell *matHeaderCellDef></th>
              <td mat-cell *matCellDef="let patient">
                <button mat-stroked-button color="accent" routerLink="/tables/sticky-column-table-dm3/{{patient.id}}">voir les données</button>
                <button mat-stroked-button color="accent" routerLink="/forms/edit-patient-DM3/{{patient.id}}" style="margin-left: 30px;">changer de patient</button>
              </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
          </table>

        </div>
      </mat-card-content>
    </mat-card>
  </div>
</div>
